:root{--p3d:preserve-3d}
*,*::before,*::after{padding:0;margin:0 auto;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;-ms-box-sizing:border-box;-o-box-sizing:border-box;box-sizing:border-box}

.body{-webkit-perspective:var(--per);-moz-perspective:var(--per);-ms-perspective:var(--per);-o-perspective:var(--per);perspective:var(--per)}
.body *:not(:empty){-webkit-transform-style:var(--p3d);-moz-transform-style:var(--p3d);-ms-transform-style:var(--p3d);-o-transform-style:var(--p3d);transform-style:var(--p3d)}
.sheen{display:none}
.body{display:grid}
.body,.sheen,.amit{position:absolute}
.amits{position:relative}
.sheen,.amit,.amits{-webkit-transform:var(--nLab);-moz-transform:var(--nLab);-ms-transform:var(--nLab);-o-transform:var(--nLab);transform:var(--nLab)}
.amits{-webkit-animation:var(--anim);-moz-animation:var(--anim);-ms-animation:var(--anim);-o-animation:var(--anim);animation:var(--anim)}

@property --amitXrot{syntax:'<number>';inherits:false;initial-value:140}
@property --amitYrot{syntax:'<number>';inherits:false;initial-value:0}
@property --amitZrot{syntax:'<number>';inherits:false;initial-value:0}

.body{--per:65vw;place-items:center;background:#000;color:#fff;width:100%;height:100vh}
.sheen{--nLab:translate3d(0,0,0)translateZ(0)}

.amits{--nLab:translate3d(0,0,0)translateZ(0)rotateX(calc(var(--amitXrot)*1deg))rotateY(calc(var(--amitYrot)*1deg))rotate(calc(var(--amitZrot)*1deg))scale(.5);--anim:rotat 3s forwards ease-out,rotate 3s 3s forwards ease-in;width:15vw;height:5vw}
@-webkit-keyframes rotat{100%{--amitYrot:360}}@-moz-keyframes rotat{100%{--amitYrot:360}}@-ms-keyframes rotat{100%{--amitYrot:360}}@-o-keyframes rotat{100%{--amitYrot:360}}@keyframes rotat{100%{--amitYrot:360}}
@-webkit-keyframes rotate{100%{--amitZrot:360}}@-moz-keyframes rotate{100%{--amitZrot:360}}@-ms-keyframes rotate{100%{--amitZrot:360}}@-o-keyframes rotate{100%{--amitZrot:360}}@keyframes rotate{100%{--amitZrot:360}}

.amit{--nLab:translate3d(0,0,calc(var(--tz)*1vw))translateZ(0);inset:0;background:conic-gradient(var(--bg-conic,none));border-radius:50%;opacity:var(--o)}

/* .disc:first-child{box-shadow:0 0 4.16vw #fff inset} */